Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Interface Readable

All Known Subinterfaces:
  Name, Path, Path.Segment, Property

All Known Implementing Classes:
  AbstractPath, BasicEmptyProperty, BasicMultiValueProperty, BasicName, BasicPath, BasicPathSegment, BasicProperty, BasicSingleValueProperty, ChildPath, IdentifierPath, IdentifierPathSegment, RootPath

    @Immutable
    public interface Readable

An interface defining methods to obtain a "readable" string representation.

Method Summary
`String` | `getString()` Get the string form of the object.
`String` | `getString(NamespaceRegistry namespaceRegistry)` Get the string form of the object, using the supplied namespace registry to convert any namespace URIs to prefixes.
`String` | `getString(NamespaceRegistry namespaceRegistry, TextEncoder encoder)` Get the encoded string form of the object, using the supplied namespace registry to convert the any namespace URIs to prefixes.
`String` | `getString(NamespaceRegistry namespaceRegistry, TextEncoder encoder, TextEncoder delimiterEncoder)` Get the encoded string form of the object, using the supplied namespace registry to convert the names' namespace URIs to prefixes and the supplied encoder to encode characters, and using the second delimiter to encode (or convert) the delimiter used between the namespace prefix and the local part of any names.
`String` | `getString(TextEncoder encoder)` Get the encoded string form of the object, using the supplied encoder to encode characters.

Method Detail

### getString

    String getString()

  Get the string form of the object. A `default encoder` is used to encode characters.

  Returns:
    the encoded string
  See Also:
    `getString(TextEncoder)`

### getString

    String getString(TextEncoder encoder)

  Get the encoded string form of the object, using the supplied encoder to encode characters.

  Parameters:
    `encoder` - the encoder to use, or null if the `default encoder` should be used
  Returns:
    the encoded string
  See Also:
    `getString()`

### getString

    String getString(NamespaceRegistry namespaceRegistry)

  Get the string form of the object, using the supplied namespace registry to convert any namespace URIs to prefixes. A `default encoder` is used to encode characters.

  Parameters:
    `namespaceRegistry` - the namespace registry that should be used to obtain the prefix for any namespace URIs
  Returns:
    the encoded string
  Throws:
    `IllegalArgumentException` - if the namespace registry is null
  See Also:
    `getString(NamespaceRegistry,TextEncoder)`

### getString

    String getString(NamespaceRegistry namespaceRegistry,
                     TextEncoder encoder)

  Get the encoded string form of the object, using the supplied namespace registry to convert the any namespace URIs to prefixes.

  Parameters:
    `namespaceRegistry` - the namespace registry that should be used to obtain the prefix for the namespace URIs
    `encoder` - the encoder to use, or null if the `default encoder` should be used
  Returns:
    the encoded string
  Throws:
    `IllegalArgumentException` - if the namespace registry is null
  See Also:
    `getString(NamespaceRegistry)`

### getString

    String getString(NamespaceRegistry namespaceRegistry,
                     TextEncoder encoder,
                     TextEncoder delimiterEncoder)

  Get the encoded string form of the object, using the supplied namespace registry to convert the names' namespace URIs to prefixes and the supplied encoder to encode characters, and using the second delimiter to encode (or convert) the delimiter used between the namespace prefix and the local part of any names.

  Parameters:
    `namespaceRegistry` - the namespace registry that should be used to obtain the prefix for the namespace URIs in the segment `names`
    `encoder` - the encoder to use for encoding the local part and namespace prefix of any names, or null if the `default encoder` should be used
    `delimiterEncoder` - the encoder to use for encoding the delimiter between the local part and namespace prefix of any names, or null if the standard delimiter should be used
  Returns:
    the encoded string
  See Also:
    `getString(NamespaceRegistry)`, `getString(NamespaceRegistry, TextEncoder)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.